Install our app Click on the icon in the top right of the address bar.

Account payments

GET https://pulse.pylogix.com/api/payments/
curl --request GET \
--url 'https://pulse.pylogix.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Request Parameters Details Description
page Optional Parameter Integer (Number) Page Number
results_per_page Optional Parameter Integer (Number) Results per Page
{ "data": [ { "id": 1, "plan_id": 1, "processor": "stripe", "type": "one_time", "frequency": "monthly", "email": "[email protected]", "name": null, "total_amount": "4.99", "currency": "USD", "status": true, "datetime": 2026-11-09 18:15:45 }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://pulse.pylogix.com/api/payments?&page=1", "last": "https://pulse.pylogix.com/api/payments?&page=1", "next": null, "prev": null, "self": "https://pulse.pylogix.com/api/payments?&page=1" } }
GET https://pulse.pylogix.com/api/payments/{payment_id}
curl --request GET \
--url 'https://pulse.pylogix.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "plan_id": 1, "processor": "stripe", "type": "one_time", "frequency": "monthly", "email": "[email protected]", "name": null, "total_amount": "4.99", "currency": "USD", "status": true, "datetime": 2026-11-09 18:15:45 } }